Package commoble.bagofyurting.storage

# Class DataIdNBTHelper

java.lang.Object
commoble.bagofyurting.storage.DataIdNBTHelper

public class DataIdNBTHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`DataIdNBTHelper()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`contains​(net.minecraft.nbt.CompoundTag nbt)`
`static String`
`generate​(net.minecraft.server.MinecraftServer server)`
`static String`
`get​(net.minecraft.nbt.CompoundTag nbt)`
`static String`
`remove​(net.minecraft.nbt.CompoundTag nbt)`
`static void`
`set​(net.minecraft.nbt.CompoundTag nbt, String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataIdNBTHelper

public DataIdNBTHelper()

## Method Details

### contains

public static boolean contains​(@Nonnull net.minecraft.nbt.CompoundTag nbt)

### get

@Nonnull public static String get​(@Nonnull net.minecraft.nbt.CompoundTag nbt)

### set

public static void set​(@Nonnull net.minecraft.nbt.CompoundTag nbt, @Nonnull String id)

### remove

@Nullable public static String remove​(@Nonnull net.minecraft.nbt.CompoundTag nbt)

### generate

@Nonnull public static String generate​(net.minecraft.server.MinecraftServer server)